
C-PC-------------------------------------------------------------------
      SUBROUTINE CLEAR
C  CLEAR SCREEN

C  USE LAHEY SYSTEM SUBROUTINE
CC    CALL SYSTEM ('CLS')

C  USE ASSEMBLER SUBROUTINE
      CALL GCLEAR

      RETURN
      END

C-PC-------------------------------------------------------------------
      SUBROUTINE HITR
      WRITE (*,10)
   10 FORMAT (/' Hit <RETURN>')
      READ*
      END

C-PC-------------------------------------------------------------------
      SUBROUTINE PAGE (K)
C  WRITE FORM FEED
      WRITE (K,'(A1)') CHAR(12)
      RETURN
      END


C-PC-------------------------------------------------------------------
C
C WPLOT WRITES FILE "CPLOT.DAT" FOR ROTATION OF CONFIGURATION BY USE OF
C   CPLOT.EXE.
C   WPLOT IS CALLED BY STEP4
C  --------------------------------------------------------------------

      SUBROUTINE WPLOT (CFL,W,WS,NWE,NDIM,NPOINT,NS)

      CHARACTER TITLE*80,FMT
      COMMON /BLOCK3/ TITLE,FMT
      COMMON /CPPLOT/NROW
      DIMENSION CFL(NPOINT,1),W(NS,1),WS(NPOINT,1)

      NPLT=99
      OPEN (NPLT,'CPLOT.DAT')
      WRITE (NPLT,10) TITLE
   10 FORMAT (1X,A)

C  DEFAULT VALUES FOR PARAMETERS
      IF (NROW.LT.NPOINT) THEN
	NCOL = NPOINT-NROW
      ELSE
	NCOL = 0
      END IF

      WRITE (NPLT,20) NDIM,NPOINT,NCOL
   20 FORMAT (3I4,'  1  0 0 0 0',/' DATA')

C  WRITE CONFIGURATION
      DO 71 I=1,NPOINT
   71 WRITE(NPLT,251) (CFL(I,J),J=1,NDIM)
  251 FORMAT(6F9.5)

C  WRITE SAMPLE TARGET
      I=1
      WRITE (NPLT,30) I,(J,J=1,NPOINT)
   30 FORMAT (' TARGET',/,I3,2X,2(25I3))
      WRITE(NPLT,251) (CFL(1,J),J=1,NDIM)

      IF(NWE/2*2.NE.NWE) THEN
	WRITE(NPLT,*)
	DO 72 I=1,NS
   72   WRITE(NPLT,251) (W(I,J),J=1,NDIM)
      END IF

      IF(NWE.GE.2) THEN
	WRITE(NPLT,*)
	DO 4051 I=1,NPOINT
 4051   WRITE(NPLT,251) (WS(I,J),J=1,NDIM)
      END IF

      CLOSE (NPLT)
      RETURN
      END



